Mailinglist Archive: opensuse-bugs (4775 mails)

< Previous Next >
[Bug 1049188] New: server:mail/sendmail: Bug libmilter.so.1.0.1 missing in sendmail-devel package
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Tue, 18 Jul 2017 13:55:31 +0000
  • Message-id: <bug-1049188-21960@http.bugzilla.opensuse.org/>
http://bugzilla.opensuse.org/show_bug.cgi?id=1049188


Bug ID: 1049188
Summary: server:mail/sendmail: Bug libmilter.so.1.0.1 missing
in sendmail-devel package
Classification: openSUSE
Product: openSUSE.org
Version: unspecified
Hardware: All
URL: https://lists.opensuse.org/opensuse-factory/2017-03/ms
g00674.html
OS: openSUSE 42.2
Status: NEW
Severity: Major
Priority: P5 - None
Component: 3rd party software
Assignee: werner@xxxxxxxx
Reporter: pgnet.dev@xxxxxxxxx
QA Contact: opensuse-communityscreening@xxxxxxxxxxxxxxxxxxxxxx
Found By: Community User
Blocker: ---

installed 'sendmail-devel' from

server:/mail/openSUSE_Leap_42.2

verifying

rpm -qa | grep -i sendmail
sendmail-devel-8.15.2-229.1.x86_64

checking for libmilter components

rpm -ql sendmail-devel-8.15.2-229.1.x86_64 | grep milter
/usr/include/libmilter
/usr/include/libmilter/mfapi.h
/usr/include/libmilter/mfdef.h
/usr/lib64/libmilter.a
/usr/lib64/libmilter.so

installed symlink for

/usr/lib64/libmilter.so

is broken, points to *missing* "libmilter.so.1.0.1"

ls -al /usr/lib64/libmilter*
-rw-r--r-- 1 root root 381K May 10 23:19 /usr/lib64/libmilter.a
lrwxrwxrwx 1 root root 18 May 11 07:37 /usr/lib64/libmilter.so ->
libmilter.so.1.0.1

The missing libmilter is found in pkg "libmilter1_0"

rpm -qlp
http://download.opensuse.org/repositories/server:/mail/openSUSE_Leap_42.2/x86_64/libmilter1_0-8.15.2-229.1.x86_64.rpm
/usr/lib64/libmilter.so.1.0
/usr/lib64/libmilter.so.1.0.1
/usr/share/doc/packages/sendmail/README.libmilter

which attempts to require/install "sendmail"

zypper in libmilter1_0
Loading repository data...
Reading installed packages...
Resolving package dependencies...

Problem: libmilter1_0-8.15.2-229.1.x86_64 requires sendmail >= 8.13,
but this requirement cannot be provided ...

libs libmilter.so{,1.0,1.0.1} should be installable for devel without forcing
the sendmail install.

--
You are receiving this mail because:
You are on the CC list for the bug.
< Previous Next >